<?php
if (isset($_GET["q"]) && !empty($_GET["q"])){
	include_once('../functions.php');
	$q=clean($_GET["q"]);
	if(!isset($q) || empty($q)) 
		echo '<h3 class="triangle-border left more_top">Το όνομα απαιτείται!</h3>';
	else if($q == get('g_name','groups','g_name',$q,'one'))
		echo '<h3 class="triangle-border left more_top">Το όνομα υπάρχει ήδη!</h3>';
	else if(mb_strlen($q, 'UTF-8') <2)
		echo '<h3 class="triangle-border left more_top">Εισάγετε πάνω από δύο χαρακτήρες!</h3>';
	else if(mb_strlen($q, 'UTF-8') >=20)
		echo '<h3 class="triangle-border left more_top">Εισάγετε μέχρι 20 χαρακτήρες!</h3>';
	else if (preg_match("/[^A-Za-z0-9\/\'\(\)\=\<\>\+\-\_\,\!\?\;\:\.\!\' ']/", $q))
		echo '<h3 class="triangle-border left more_top">Μη αποδεκτοί  χαρακτήρες!</h3>';
	else 
		echo '<span id="f_msg" class="tick left more_top">OK!</span>';

}
?>